Bug 1421383 - The r8712u driver from staging ibroken in F25 [NEEDINFO]
Summary: The r8712u driver from staging ibroken in F25
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 25
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-11 22:07 UTC by David A. De Graaf
Modified: 2019-01-09 12:54 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-28 17:09:51 UTC
jforbes: needinfo?


Attachments (Terms of Use)
Testing r92su - Wi-Fi USB driver (343.83 KB, patch)
2017-02-14 17:40 UTC, poma
no flags Details | Diff

Description David A. De Graaf 2017-02-11 22:07:10 UTC
Description of problem:
The r8712u driver now fails to establish a link


Version-Release number of selected component (if applicable):

kernel-modules-4.8.6-300.fc25.x86_64

How reproducible:
100%

Steps to Reproduce:
1.  Insert dongle
2.  monitor dmesg -w
3.  Observe failure to link

Actual results:
Link fails

Expected results:
Link succeeds

Additional info:
The r8712u driver from the staging area has stopped working in Fedora
25.  
It works just fine in Fedora 24 and it seems to be substantially
unchanged.

This driver supports (among others) my emergency USB DLink DWA130
adapter that I use when the laptop's builtin super-duper wireless
(Qualcomm Atheros QCA9377 802.11ac) is "too advanced" to connect to some
old wireless router.

When the dongle is plugged in, this output is written to dmesg -w:

[82189.094547] usb 1-4: new high-speed USB device number 7 using xhci_hcd
[82189.265676] usb 1-4: New USB device found, idVendor=07d1, idProduct=3300
[82189.265686] usb 1-4: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[82189.265692] usb 1-4: Product: 11n Adapter
[82189.265697] usb 1-4: Manufacturer: Manufacturer Realtek
[82189.265702] usb 1-4: SerialNumber: 00e04c000001
[82189.269827] r8712u: register rtl8712_netdev_ops to netdev_ops
[82189.269839] usb 1-4: r8712u: USB_SPEED_HIGH with 4 endpoints
[82189.271387] usb 1-4: r8712u: Boot from EFUSE: Autoload OK
[82189.635092] usb 1-4: r8712u: CustomerID = 0x0006
[82189.635100] usb 1-4: r8712u: MAC Address from efuse = 28:10:7b:c2:09:ae
[82189.635105] usb 1-4: r8712u: Loading firmware from "rtlwifi/rtl8712u.bin"
[82189.686494] IPv6: ADDRCONF(NETDEV_UP): wlan1: link is not ready
[82190.390956] r8712u 1-4:1.0 wlan1: 1 RCR=0x153f00e
[82190.391691] r8712u 1-4:1.0 wlan1: 2 RCR=0x553f00e
[82191.603127] IPv6: ADDRCONF(NETDEV_UP): wlan1: link is not ready
[82193.122927] IPv6: ADDRCONF(NETDEV_UP): wlan1: link is not ready
[82193.182252] IPv6: ADDRCONF(NETDEV_UP): wlan1: link is not ready
[82194.707205] IPv6: ADDRCONF(NETDEV_UP): wlan1: link is not ready
[82196.235123] IPv6: ADDRCONF(NETDEV_UP): wlan1: link is not ready
    ...
The IPv6 error messages recur endlessly and the link remains not ready.
The interface never is made available to NetworkManager, so the
connection cannot proceed.


Guidance from poma <pomidorabelisima@gmail.com> showed that an
alternate driver for this device is available:
  https://wireless.wiki.kernel.org/en/users/drivers/rtl819x
which says that rtl8192su is intended to replace r8712u.

Also, in  https://git.kernel.org/cgit/linux/kernel/git/gregkh/staging.git/commit/drivers/staging/rtl8712/TODO?id=586add48d
Greg Kroah-Hartman states that "People should not waste time and
energy working on this staging driver.
And there is a replacement using the kernel wireless stack at:
https://github.com/chunkeey/rtl8192su "


I have downloaded and installed this software
   git clone https://github.com/chunkeey/rtl8192su.git
   followed by manual building and installing

and found that the r92su driver therein works perfectly with my USB
dongle.

Therefore, I request that the r92su drive be added without delay to
Fedora 25, and the non-functional r8712u driver be removed.

Comment 2 poma 2017-02-14 18:31:30 UTC
Fellows, feel free to comment on how best to solve the issue.

Comment 3 poma 2017-03-23 11:10:40 UTC
For cases of problematic MAC change, a workaround is created in the NetworkManager.
"device: add spec "driver:" to match devices"
https://cgit.freedesktop.org/NetworkManager/NetworkManager/commit/?id=b869d9cc0dda

I've tested with the device driven by r8712u.ko and it works OK.

[device-scan-rand-mac-addr]
match-device=driver:r8712u
wifi.scan-rand-mac-address=no


Thanks Thomas!

Comment 4 Justin M. Forbes 2017-04-11 14:38:55 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 25 kernel bugs.

Fedora 25 has now been rebased to 4.10.9-200.fc25.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.

If you experience different issues, please open a new bug report for those.

Comment 5 Justin M. Forbes 2017-04-28 17:09:51 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and attach the 
relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.